Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class AbstractPolicyInterceptorProvider

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,Object>
              org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider
                  org.apache.cxf.ws.policy.AbstractPolicyInterceptorProvider

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, InterceptorProvider, PolicyInterceptorProvider

    public abstract class AbstractPolicyInterceptorProvider

extends AbstractAttributedInterceptorProvider
implements PolicyInterceptorProvider

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`AbstractPolicyInterceptorProvider(Collection<QName> at)`
`AbstractPolicyInterceptorProvider(QName type)`

Method Summary
`Collection<QName>` | `getAssertionTypes()` Returns a collection of QNames describing the xml schema types of the assertions that this interceptor implements.
`List<Interceptor<? extends Message>>` | `provideInFaultInterceptors(Message m)`
`List<Interceptor<? extends Message>>` | `provideInInterceptors(Message m)`
`List<Interceptor<? extends Message>>` | `provideOutFaultInterceptors(Message m)`
`List<Interceptor<? extends Message>>` | `provideOutInterceptors(Message m)`

Methods inherited from class org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider
`equals, getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors, hashCode, setInFaultInterceptors, setInInterceptors, setOutFaultInterceptors, setOutInterceptors`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Constructor Detail

### AbstractPolicyInterceptorProvider

    public AbstractPolicyInterceptorProvider(QName type)

### AbstractPolicyInterceptorProvider

    public AbstractPolicyInterceptorProvider(Collection<QName> at)

Method Detail

### getAssertionTypes

    public Collection<QName> getAssertionTypes()

  Description copied from interface: `PolicyInterceptorProvider`
  Returns a collection of QNames describing the xml schema types of the assertions that this interceptor implements.

  Specified by:
    `getAssertionTypes` in interface `PolicyInterceptorProvider`
  Returns:
    collection of QNames of known assertion types

### provideInFaultInterceptors

    public List<Interceptor<? extends Message>> provideInFaultInterceptors(Message m)

  Specified by:
    `provideInFaultInterceptors` in interface `PolicyInterceptorProvider`

### provideInInterceptors

    public List<Interceptor<? extends Message>> provideInInterceptors(Message m)

  Specified by:
    `provideInInterceptors` in interface `PolicyInterceptorProvider`

### provideOutFaultInterceptors

    public List<Interceptor<? extends Message>> provideOutFaultInterceptors(Message m)

  Specified by:
    `provideOutFaultInterceptors` in interface `PolicyInterceptorProvider`

### provideOutInterceptors

    public List<Interceptor<? extends Message>> provideOutInterceptors(Message m)

  Specified by:
    `provideOutInterceptors` in interface `PolicyInterceptorProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF